<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Controle de Acesso: Ui::MainWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Controle de Acesso
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Ui</b></li><li class="navelem"><a class="el" href="class_ui_1_1_main_window.html">MainWindow</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="class_ui_1_1_main_window-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Ui::MainWindow Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Ui::MainWindow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_ui_1_1_main_window.png" usemap="#Ui::MainWindow_map" alt=""/>
  <map id="Ui::MainWindow_map" name="Ui::MainWindow_map">
<area href="class_ui___main_window.html" alt="Ui_MainWindow" shape="rect" coords="0,0,102,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_class_ui___main_window"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_ui___main_window')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_ui___main_window.html">Ui_MainWindow</a></td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="acf4a0872c4c77d8f43a2ec66ed849b58"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setupUi</b> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a097dd160c3534a204904cb374412c618"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>retranslateUi</b> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_ui___main_window"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_ui___main_window')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_ui___main_window.html">Ui_MainWindow</a></td></tr>
<tr class="memitem:a30075506c2116c3ed4ff25e07ae75f81 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a30075506c2116c3ed4ff25e07ae75f81"></a>
QWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>centralWidget</b></td></tr>
<tr class="separator:a30075506c2116c3ed4ff25e07ae75f81 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23074d99b672ebdf32a6b87422bb97b5 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a23074d99b672ebdf32a6b87422bb97b5"></a>
QRadioButton *&#160;</td><td class="memItemRight" valign="bottom"><b>CadButton</b></td></tr>
<tr class="separator:a23074d99b672ebdf32a6b87422bb97b5 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aabf408e9b0e7d01b54d7cd348c62c5 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a6aabf408e9b0e7d01b54d7cd348c62c5"></a>
QRadioButton *&#160;</td><td class="memItemRight" valign="bottom"><b>RecButton</b></td></tr>
<tr class="separator:a6aabf408e9b0e7d01b54d7cd348c62c5 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a127ff0eefabfb2850ec29035b1445af9 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a127ff0eefabfb2850ec29035b1445af9"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>AlunoButton</b></td></tr>
<tr class="separator:a127ff0eefabfb2850ec29035b1445af9 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5da7775c0d8076e93cfd8f7cfe644af inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="aa5da7775c0d8076e93cfd8f7cfe644af"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>ProfButton</b></td></tr>
<tr class="separator:aa5da7775c0d8076e93cfd8f7cfe644af inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07d930fcf823eddb307ac2d343adc844 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="a07d930fcf823eddb307ac2d343adc844"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>FuncButton</b></td></tr>
<tr class="separator:a07d930fcf823eddb307ac2d343adc844 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41871f8e994c5cff8928c7f9777a9bd inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top"><a id="ab41871f8e994c5cff8928c7f9777a9bd"></a>
QRadioButton *&#160;</td><td class="memItemRight" valign="bottom"><b>ResButton</b></td></tr>
<tr class="separator:ab41871f8e994c5cff8928c7f9777a9bd inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="ui__mainwindow_8h_source.html">ui_mainwindow.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
